Bug 170973 - Review Request: gnomebaker: Gnome CD/DVD burner
Review Request: gnomebaker: Gnome CD/DVD burner
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Reber
David Lawrence
http://gnomebaker.sourceforge.net/v2/
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-10-16 15:19 EDT by Brian Pepple
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-06 18:58:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Build log for gnomebaker-0.5.0-2.src.rpm on Devel (50.22 KB, text/plain)
2005-10-17 13:38 EDT, Brian Pepple
no flags Details
Build log for gnomebaker-0.5.0-3.src.rpm on Devel (54.31 KB, text/plain)
2005-10-19 09:32 EDT, Brian Pepple
no flags Details

  None (edit)
Description Brian Pepple 2005-10-16 15:19:59 EDT
Spec Name or Url: http://piedmont.homelinux.org/fedora/gnomebaker/gnomebaker.spec
SRPM Name or Url: http://piedmont.homelinux.org/fedora/gnomebaker/gnomebaker-0.5.0-1.src.rpm
Description: CD/DVD burner designed for the GNOME desktop.
Comment 1 Adrian Reber 2005-10-17 01:53:19 EDT
the debuginfo package is empty and the $RPM_OPT_FLAGS are not used.
Comment 2 Adrian Reber 2005-10-17 11:12:03 EDT
mock build on devel fails with:

RPM build errors:
    File not found:
/var/tmp/gnomebaker-0.5.0-1-root-mockbuild/usr/share/gnome/help/gnomebaker
Comment 4 Brian Pepple 2005-10-17 13:38:37 EDT
Created attachment 120066 [details]
Build log for gnomebaker-0.5.0-2.src.rpm on Devel
Comment 5 Adrian Reber 2005-10-19 02:29:13 EDT
The RPM_OPT_FLAGS are still not used. The following hack makes configure use the
flags:

@@ -35,6 +35,7 @@
 %setup -q
 %patch0 -p1 -b .desktop
 %patch1 -p1 -b .help
+sed -i -e "/^CFLAGS/d" configure.in
 aclocal
 autoconf
Comment 7 Brian Pepple 2005-10-19 09:32:31 EDT
Created attachment 120164 [details]
Build log for gnomebaker-0.5.0-3.src.rpm on Devel
Comment 8 Adrian Reber 2005-10-20 02:42:06 EDT
It builds now on devel; I can install it and start it but I cannot press on any
button in the GUI. The problem seems to be that it cannot find its own callbacks
because I can see many errors like these:

(gnomebaker:8562): libglade-WARNING **: could not find signal handler
'gnomebaker_on_notebook_switch_page'.

(gnomebaker:8562): libglade-WARNING **: could not find signal handler
'gnomebaker_on_preferences'.

(gnomebaker:8562): libglade-WARNING **: could not find signal handler
'gnomebaker_on_format_dvdrw'.

I will try now a build with FC-4 mock and see how that works.
Comment 9 Adrian Reber 2005-10-20 02:54:58 EDT
The FC-4 versions doesn't have this problem. Works as expected.
Comment 10 Brian Pepple 2005-10-22 15:41:02 EDT
(In reply to comment #8)
Looks like this has been already reported upstream:
https://sourceforge.net/tracker/index.php?func=detail&aid=1327700&group_id=127397&atid=708499

Hopefully, later this weekend I can get some time to see what the problem is.

Comment 11 Michael J Knox 2006-01-21 17:17:15 EST
Under FC5test2 updated to 22nd Jan, gnomebaker is not looking good. 

[monkey@hailstorm ~]$ gnomebaker

(gnomebaker:23334): Gtk-WARNING **: gtkwidget.c:4205: widget not within a GtkWindow

(gnomebaker:23334): Gtk-WARNING **: Theme directory
16x16/status16x16/stock/chart of theme gnome has no size field

*** glibc detected *** gnomebaker: free(): invalid pointer: 0x09ef6468 ***

[monkey@hailstorm ~]$
Comment 12 Michael J Knox 2006-01-21 19:08:21 EST
this seems to be mostly fixed in CVS. Unable to do a CVS checkout at the moment. 

Ubuntu's drapper source's (CVS 2005-01-10 0.5.1) seem to work. 

Would this be suitable for use (the CVS snapshot)? I can redo the srpm against
it if there is no one else too. 
Comment 13 Peter Gordon 2006-01-21 19:13:23 EST
I'm pretty sure CVS snapshots are acceptable. Be sure that it works otherwise,
though, and is packaged according to the snapshot packaging guidelines:
http://fedoraproject.org/wiki/PackageNamingGuidelines#head-975237cdcb9aa7775601adeaaccbc70290f69812
Comment 14 Brian Pepple 2006-01-21 19:25:15 EST
Luke's gearing up for another release fairly soon, so I'm inclined not to use a
CVS snapshot.  Regardless, I'm probably not gonna have time to look at this for
another week or so.
Comment 15 Michael J Knox 2006-01-21 21:13:20 EST
Understnad, However, I was in need of a CD/DVD burning app and did not want to
use K3b. My preference is for gnomebaker. 

I modified the srpm and spec, bit can be review from here:
http://www.knox.net.nz/fedora_stuff/gnomebaker-0.5.1-1.20050110cvs.fc4.src.rpm
http://www.knox.net.nz/fedora_stuff/gnomebaker.spec

Comment 16 Brian Pepple 2006-01-22 00:01:31 EST
I appreciate your enthusiasm Michael, but I'm not comfortable with using a cvs
version for it's initial review, given all the changes being made in this version.
Comment 17 Michael J Knox 2006-01-22 00:05:50 EST
Not a problem. Its there, changes for the new version with regards to the
patches and FC5 have been made to the SPEC. 
Comment 18 drago01 2006-01-22 07:08:57 EST
on fc4 I get:
 rpmbuild -bb gnomebaker.spec
Error: /home/dragoran/rpm/SPECS/gnomebaker.spec:16: parseExpressionBoolean
returns -1
Error: Package has no %description: gnomebaker
Comment 19 Michael J Knox 2006-01-22 12:31:46 EST
%{?dist} was used to seperate buildrequires under fc4 and fc5. 

Please rebuild using --define "dist fc4"
Comment 20 Paul Howarth 2006-01-22 12:39:17 EST
(In reply to comment #19)
> %{?dist} was used to seperate buildrequires under fc4 and fc5. 
> 
> Please rebuild using --define "dist fc4"

The extras buildsystem will define "%{?dist}" as ".fc4" or ".fc5", not just
"fc4" or "fc5".

See the "Conditionals" section of http://fedoraproject.org/wiki/DistTag for how
to do distribution-specific builds.
Comment 21 Michael J Knox 2006-01-22 12:49:25 EST
I know. But if you want to rebuild it outside the buildsys, then using the
define flag will be needed. 

I had read that url and spoke with people in #fedora-extras and the method used
was the method suggested. 
Comment 22 Brian Pepple 2006-02-04 20:18:49 EST
Updated package to new version, which fixes the problem with glade.

Spec: http://piedmont.homelinux.org/fedora/gnomebaker/gnomebaker.spec
SRPM: http://piedmont.homelinux.org/fedora/gnomebaker/gnomebaker-0.5.1-1.src.rpm

Note: This spec is currently set-up for FC5 only (gstreamer08-devel).
Comment 23 Brian Pepple 2006-02-04 20:19:38 EST
Comment on attachment 120164 [details]
Build log for gnomebaker-0.5.0-3.src.rpm on Devel

No longer relevent
Comment 24 Adrian Reber 2006-02-06 07:45:21 EST
* source matches upstream
* rpmlint is happy
* spec looks good
* clean installation and removal
* works as expected
* builds in mock

APPROVED
Comment 25 Brian Pepple 2006-02-06 18:58:06 EST
Packages built, and should be available soon.

Note You need to log in before you can comment on or make changes to this bug.